# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

OpenIDE-Module-Name=Editor
OpenIDE-Module-Display-Category=Editing
OpenIDE-Module-Short-Description=Enables editing of files in the IDE.
OpenIDE-Module-Long-Description=The Editor module enables you to edit source files within the IDE. It provides syntax coloring for Java and HTML files, word matching, code completion, and other basic and advanced features.

Services/IndentEngine/org-netbeans-modules-editor-java-JavaIndentEngine.settings=Java Indentation Engine
Services/IndentEngine/org-netbeans-modules-editor-SimpleIndentEngine.settings=Simple Indentation Engine
Services/IndentEngine/org-netbeans-modules-editor-html-LineWrapIndentEngine.settings=Line Wrapping Indentation Engine
Templates/Services/IndentEngine/org-netbeans-modules-editor-java-JavaIndentEngine.settings=Java Indentation Engine
Templates/Services/IndentEngine/org-netbeans-modules-editor-SimpleIndentEngine.settings=Simple Indentation Engine
Templates/Services/IndentEngine/org-netbeans-modules-editor-html-LineWrapIndentEngine.settings=Line Wrapping Indentation Engine
Menu/Source=&Source
Menu/View/CodeFolds=&Code Folds

MSG_NegativeValue=Negative value is not allowed
MSG_OutOfRange=Value is out of range

CTL_Toolbar_name={0} Toolbar
CTL_Toolbar_hint=Toolbar contents customization
PROP_addToolbarSeparator=Add Separator

build-popup-menu=Build Popup Menu
build-tool-tip=Build Tool Tip
generate-goto-popup=Generate Goto Popup
generate-fold-popup=Generate Fold Popup
goto_source_main_menu_edit_item=Go to &Source
goto_super_implementation_main_menu_edit_item=Go to Super &Implementation
goto_declaration_main_menu_edit_item=Go to &Declaration
show_editor_toolbar_main_menu_view_item=S&how Editor Toolbar
show_line_numbers_main_menu_view_item=&Show Line Numbers
jump_back_main_menu_item=&Back
jump_forward_main_menu_item=For&ward
toggle_comment_main_menu_item=Toggle Co&mment
toggle-line-numbers=Toggle Line Numbers
toggle-toolbar=Toggle Toolbar
comment_main_menu_item=Co&mment
uncomment_main_menu_item=&Uncomment
shift_line_left_main_menu_item=Shift &Left
shift_line_right_main_menu_item=Shift &Right
format_main_menu_item=&Format
word_match_next_main_menu_item=Insert &Next Matching Word
word_match_previous_main_menu_item=Insert &Previous Matching Word
select_all_main_menu_item=Select &All
select_identifier_main_menu_item=Select &Identifier
find_next_main_menu_item=Find Ne&xt
find_previous_main_menu_item=Find Pre&vious
find_selection_main_menu_item=Find &Selection
start_macro_recording_main_menu_item=Start &Macro Recording
stop_macro_recording_main_menu_item=Stop Macro Recordin&g
remove_trailing_spaces_main_menu_item=Remove &Trailing Spaces
paste_formatted_main_menu_item=Paste F&ormatted

CTL_ExportHtmlAction=Print to &HTML...
CTL_ExportHtml=Print to HTML
CTL_Select=&Browse...
CTL_ShowLineNumbers=Show Line &Numbers.
CTL_OpenHTML=&Open generated HTML in browser.
CTL_Selection=Print only &selected text.
CTL_Approve_Label=OK
CTL_Browse_Dialog_Title=Select a file to save into
ACD_Browse_Dialog=Select a file to save into
ACN_Browse_Dialog=Select a file to save into
ERR_IOError=Can not create HTML file {0} in the folder {1}.
ACSN_ExportToHTML=Print to HTML
ACSD_ExportToHTML=Converts the document to HTML file
AN_OutputDir=HTML file name
AD_OutputDir=Name of HTML file, where the converted context will be saved
AN_Select=Browse
AD_Select=Browse the HTML file or directory
AN_ShowLineNumbers=Show line numbers
AD_ShowLineNumbers=Print also the line numbers into the HTML document
AN_OpenHTML=Open generated HTML in browser
AD_OpenHTML=Open generated HTML in browser
AN_Selection=Print only selected text
AD_Selection=Only selected text will be converted to HTML file
TXT_HTMLFileType=HTML Files
MSG_DocError=Can not open document.
MSG_FileExists=File {0} already exists. Overwrite?
LBL_PRINT_TO_FILE=Print To &File
ACSN_PRINT_TO_FILE=File
ACSD_PRINT_TO_FILE=Print to File
LBL_PRINT_TO_CLIPBOARD=Print To &Clipboard
ACSN_PRINT_TO_CLIPBOARD=Clipboard
ACSD_PRINT_TO_CLIPBOARD=Output HTML to Clipboard

PROP_base_toolbarVisible=Show Toolbar
HINT_base_toolbarVisible=If True, display the editor toolbar.

# Coloring profile names
Editors/FontsColors/NetBeans=NetBeans

# Syntax Colorings
default=Default
identifier=Identifier
keyword=Keyword
operator=Operator
string=String
comment=Comment
number=Number
whitespace=Whitespace
error=Error
char=Character
separator=Separator
warning=Warning

markup-element=Markup Element (Tag)
markup-attribute=Markup Attribute
markup-attribute-value=Markup Attribute Value
entity-reference=Entity Reference

# Semantic Colorings
constructor=Constructor
method=Method
field=Field
local-variable=Local Variable
method-parameter=Method Parameter
class=Class
interface=Interface
enum=Enum
unused=Unused Element
deprecated=Deprecated Element
abstract=Abstract Class or Method
static=Static Element
private=Private Element
protected=Protected Element
public=Public Element

# Highlights
selection=Selected Text
guarded=Guarded Block
block-search=Search Block
status-bar=Status Bar
status-bar-bold=Status Bar (highlighted)
inc-search=Incremental Search
line-number=Line Number
code-folding-bar=Code Folding Bar
code-folding=Code Folding
highlight-search=Highlight Search
highlight-caret-row=Highlight Caret Row
caret-color-insert-mode=Caret Color
caret-color-overwrite-mode=Caret Color (Overwrite mode)
text-limit-line-color=Text Limit Line
hyperlinks=Hyperlinks
synchronized-text-blocks-ext=Text Boxes (Editable)
synchronized-text-blocks-ext-slave=Text Boxes (Synchronized)
readonly-files=Readonly Files
